Skip to content

Get Usage Timeseries

GET /usage/timeseries
NameInTypeNotes
fromquerystring (date-time) | nulloptional—
toquerystring (date-time) | nulloptional—
intervalqueryhour | day | week | monthoptionalDefault "day".
StatusDescriptionBody
200Successful ResponseUsageTimeseriesView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/usage/timeseries \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
window_startstring (date-time)required—
window_endstring (date-time)required—
intervalhour | day | week | monthrequired—
currencystringoptionalDefault "USD".
pointsUsageTimeseriesPoint[]optional—